StaticTypesClosureWriter (Groovy 3.0.7)

Package org.codehaus.groovy.classgen.asm.sc

## Class StaticTypesClosureWriter

- java.lang.Object
- - org.codehaus.groovy.classgen.asm.ClosureWriter
  - - org.codehaus.groovy.classgen.asm.sc.StaticTypesClosureWriter

-     public class StaticTypesClosureWriter
      extends ClosureWriter

  Writer responsible for generating closure classes in statically compiled mode.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.groovy.classgen.asm.ClosureWriter

      `ClosureWriter.CorrectAccessedVariableVisitor, ClosureWriter.UseExistingReference`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.classgen.asm.ClosureWriter

      `controller, OUTER_INSTANCE, THIS_OBJECT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StaticTypesClosureWriter​(WriterController wc)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ClassNode` | `createClosureClass​(ClosureExpression expression, int mods)` |

    - ### Methods inherited from class org.codehaus.groovy.classgen.asm.ClosureWriter

      `addConstructor, addFieldsAndGettersForLocalVariables, addGeneratedClosureConstructorCall, createBlockStatementForConstructor, getClosureSharedVariables, getOrAddClosureClass, loadReference, loadThis, removeInitialValues, writeClosure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticTypesClosureWriter

          public StaticTypesClosureWriter​(WriterController wc)

  - ### Method Detail

    - #### createClosureClass

          protected ClassNode createClosureClass​(ClosureExpression expression,
                                                 int mods)

      Overrides:
        `createClosureClass` in class `ClosureWriter`